#include "MouseEvent.h"

MouseEvent::MouseEvent()
    : UiEvent(),
      mClientLocation(0, 0),
      mScreenLocation(0, 0),
      mAction()
{
    mType = UiEvent::Type::Mouse;
}

MouseEvent::~MouseEvent()
{

}

std::unique_ptr<MouseEvent> MouseEvent::Create()
{
    return std::make_unique<MouseEvent>();
}

void MouseEvent::SetClientLocation(Pixel location)
{
    mClientLocation = location;
}

void MouseEvent::SetScreenLocation(Pixel location)
{
    mScreenLocation = location;
}

void MouseEvent::SetAction(MouseEvent::Action action)
{
    mAction = action;
}

Pixel MouseEvent::GetClientLocation() const
{
    return mClientLocation;
}

Pixel MouseEvent::GetScreenLocation() const
{
    return mScreenLocation;
}

MouseEvent::Action MouseEvent::GetAction() const
{
    return mAction;
}

